## ospd-openvas 22.4.5

=== smoketest/Makefile ===
.PHONY: build run

MAKEFILE_PATH := $(dir $(realpath $(firstword $(MAKEFILE_LIST))))

ALTERNATIVE_HOSTS := smoketest.localdomain smoke.localdomain and.localdomain mirrors.localdomain

ADD_HOST := $(addprefix --add-host ,$(addsuffix :127.0.0.1, ${ALTERNATIVE_HOSTS}))

RUN_PARAM := run --rm --privileged ${ADD_HOST}
VARIANT := community
DATA_OBJECTS := ghcr.io/greenbone/data-objects:${VARIANT}-staging
NASL := ghcr.io/greenbone/vulnerability-tests:${VARIANT}-staging

ifndef GO
	GO := go
endif
GO_BUILD := CGO_ENABLED=0 GOOS=linux GOARCH=amd64 ${GO} build -o

ifndef SORT
	SORT := sort -r
endif

ifndef NASL_ROOT
	NASL_ROOT := `ls -d /var/lib/openvas/* | ${SORT} | head -n 1`
endif
ifndef POLICY_ROOT
	POLICY_ROOT := `find /var/lib/gvm/data-objects/gvmd/*/*configs -type d | ${SORT} | head -n 1`
endif

all: build run

build-cmds:
	- mkdir bin || true
	 ${GO_BUILD} bin/ospd-openvas-smoketests cmd/test/main.go
	 ${GO_BUILD} bin/ospd-policy-feed cmd/feed-preparer/main.go
	 ${GO_BUILD} bin/ospd-scans cmd/scans/main.go

build:
	cd .. && DOCKER_BUILDKIT=1 docker build -t greenbone/ospd-openvas-smoketests -f smoketest/Dockerfile . 2>build.log && rm build.log || (cat build.log && false)

run:
	docker ${RUN_PARAM} greenbone/ospd-openvas-smoketests

interactive:
	docker ${RUN_PARAM} --name ospd-st-ia -it greenbone/ospd-openvas-smoketests bash

update-nasl-image:
	- docker pull ${NASL} || ( printf "are you logged in ghr.io within docker and an access token `read:packages`?\n" && false )

fetch-nasl: update-nasl-image
	- docker run -it -v ${MAKEFILE_PATH}:/mnt --rm ${NASL} sh -c 'cp -rv ${NASL_ROOT}/vt-data/nasl /mnt/.nasl && chmod -R 777 /mnt/.nasl'

update-data-objects-image:
	- docker pull ${DATA_OBJECTS} || ( printf "are you logged in ghr.io within docker and an access token `read:packages`?\n" && false )

fetch-scan-configs: update-data-objects-image
	- docker run -it -v ${MAKEFILE_PATH}:/mnt --rm ${DATA_OBJECTS} sh -c 'install -D -v -m 777 ${POLICY_ROOT}/* -t /mnt/.scan-config'

## ospd-openvas 1.0.1

=== debian/changelog ===
ospd-openvas (1.0.1-2) unstable; urgency=medium

  * Team upload

  [ Sophie Brun ]
  * Change the adapt-ospd-openvas.service.patch (Closes: #966715)
  * Add /etc/sudoers.d/ospd-openvas (Closes: #967046)

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 06 Aug 2020 15:19:13 +0200

ospd-openvas (1.0.1-1) unstable; urgency=medium

  * Team upload

  [ Sophie Brun ]
  * Add python3-setuptools for autopkgtest
  * Update ospd-openvas.service to start it only after gvmd.service

  [ Raphaël Hertzog ]
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

 -- Raphaël Hertzog <raphael@offensive-security.com>  Fri, 31 Jul 2020 16:11:01 +0200

ospd-openvas (1.0.1-1~exp1) experimental; urgency=medium

  [ Sophie Brun ]
  * New upstream version 1.0.1
  * Update build-deps for new release
  * Improve ospd-openvas.service
    - Change pid name file (from ospd.pid to ospd-openvas.pid to avoid
      conflict with ospd.pid used by python3-ospd)
    - Add Wants=redis-server@openvas.service

  [ SZ Lin (林上智) ]
  * Add autopkgtest test case
  * Correct copyright information
  * Bump debhelper-compat to 13

 -- SZ Lin (林上智) <szlin@debian.org>  Fri, 03 Jul 2020 10:53:37 +0800

ospd-openvas (1.0.0-1~exp1) experimental; urgency=medium

  [ Sophie Brun ]
  * Initial release (Closes: #950834)

  [ SZ Lin (林上智) ]
  * Add upstream metadata
  * Add comments in elaborating the typo in license declaration
  * d/control:
    - Set Rules-Requires-Root: no
  * d/rules:
    - Remove trailing newline

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 27 Apr 2020 14:57:29 +0800

=== debian/control ===
Source: ospd-openvas
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: SZ Lin (林上智) <szlin@debian.org>,
           Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-ospd (>= 2.0.1),
	       python3-packaging,
               python3-psutil,
               python3-redis,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://www.greenbone.net/
Vcs-Browser: https://salsa.debian.org/pkg-security-team/ospd-openvas
Vcs-Git: https://salsa.debian.org/pkg-security-team/ospd-openvas.git
Testsuite: autopkgtest-pkg-python

Package: ospd-openvas
Architecture: all
Depends: openvas-scanner (>= 7.0.0), ${misc:Depends}, ${python3:Depends}, sudo
Description: OSP server implementation to allow GVM to remotely control an OpenVAS Scanner
 This package contains an OSP server implementation to allow GVM to remotely
 control OpenVAS.
 .
 It is a command line tool with parameters to start a daemon which keeps
 waiting for instructions to update the feed of vulnerability tests and to
 start a scan. The second part of the interface is the redis store where the
 parameters about a scan task need to be placed and from where the results can
 be retrieved, being the unique communication channel between OSPD-OpenVAS and
 OpenVAS.
 .
 Once running, you need to configure OpenVAS for the Greenbone Vulnerability
 Manager, for example via the web interface Greenbone Security Assistant. Then
 you can create scan tasks to use OpenVAS.

## ospd-openvas 20.8.0

=== debian/changelog ===
ospd-openvas (20.8.0-1) unstable; urgency=medium

  * Team upload.

  [ Sophie Brun ]
  * New upstream version 20.8.0
  * Update debian/copyright: now license is AGL-3+
  * Update minimal required version of python3-ospd
  * Update minimal required versions of openvas-scanner
  * Fix debian/copyright
  * Refresh patches
  * Fix unix-socket in ospd-openvas.service
  * Update ospd-openvas.service with Debian lock-file-dir
  * Import upstream patches (see https://bugs.kali.org/view.php?id=6893)

  [ SZ Lin (林上智) ]
  * I am no longer using this package, and thus remove my name from the
    uploaders field due to time constraints

 -- Raphaël Hertzog <raphael@offensive-security.com>  Thu, 03 Dec 2020 14:52:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: SZ Lin (林上智) <szlin@debian.org>,
-           Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-ospd (>= 2.0.1),
+               python3-ospd (>= 20.8.0),
 	       python3-packaging,
                python3-psutil,
                python3-redis,
@@ -21,7 +20,7 @@
 
 Package: ospd-openvas
 Architecture: all
-Depends: openvas-scanner (>= 7.0.0), ${misc:Depends}, ${python3:Depends}, sudo
+Depends: openvas-scanner (>= 20.8.0), ${misc:Depends}, ${python3:Depends}, sudo
 Description: OSP server implementation to allow GVM to remotely control an OpenVAS Scanner
  This package contains an OSP server implementation to allow GVM to remotely
  control OpenVAS.

## ospd-openvas 21.4.3

=== debian/changelog ===
ospd-openvas (21.4.3-1) unstable; urgency=medium

  * New upstream version 21.4.3
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Oct 2021 14:31:50 +0200

ospd-openvas (21.4.2-1) unstable; urgency=medium

  * Update debian/copyright
  * Refresh patches (remove upstream patches merged in new version)
  * Update minimal required version of python3-ospd
  * Bump Standards-Version to 4.5.1 (no change)
  * New upstream version 21.4.2

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Aug 2021 11:38:21 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
-               python3-ospd (>= 20.8.0),
+               python3-ospd (>= 21.4.1),
 	       python3-packaging,
                python3-psutil,
                python3-redis,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://www.greenbone.net/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/ospd-openvas
@@ -20,7 +20,7 @@
 
 Package: ospd-openvas
 Architecture: all
-Depends: openvas-scanner (>= 20.8.0), ${misc:Depends}, ${python3:Depends}, sudo
+Depends: openvas-scanner (>= 21.4.1), ${misc:Depends}, ${python3:Depends}, sudo
 Description: OSP server implementation to allow GVM to remotely control an OpenVAS Scanner
  This package contains an OSP server implementation to allow GVM to remotely
  control OpenVAS.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=ospd-openvas

%:
	dh $@ --with python3 --buildsystem=pybuild

## ospd-openvas 21.4.4

=== debian/changelog ===
ospd-openvas (21.4.4-1) unstable; urgency=medium

  * ospd-openvas.service: use default value for --unix-socket
  * New upstream version 21.4.4
  * Update debian/copyright
  * Use upstream build system
  * Update autopkgtest
  * Add Provides / Breaks and Replaces python3-ospd
  * Install missing default config file ospd-openvas.conf
  * Add upstream documentation
  * Update patch Adapt-ospd-openvas.service for new installed conf file

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 03 May 2022 10:25:28 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+	       pybuild-plugin-pyproject,
                python3-all,
                python3-ospd (>= 21.4.1),
 	       python3-packaging,
+	       python3-poetry-core,
                python3-psutil,
                python3-redis,
                python3-setuptools
@@ -21,6 +23,9 @@
 Package: ospd-openvas
 Architecture: all
 Depends: openvas-scanner (>= 21.4.1), ${misc:Depends}, ${python3:Depends}, sudo
+Replaces: python3-ospd (<< 21.4.5)
+Breaks: python3-ospd (<< 21.4.5)
+Provides: python3-ospd
 Description: OSP server implementation to allow GVM to remotely control an OpenVAS Scanner
  This package contains an OSP server implementation to allow GVM to remotely
  control OpenVAS.

## ospd-openvas 22.4.5

=== debian/changelog ===
ospd-openvas (22.4.5-1) unstable; urgency=medium

  * New upstream version 22.4.5
  * Refresh patch

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Jan 2023 11:59:13 +0100

ospd-openvas (22.4.2-1) unstable; urgency=medium

  * New upstream version 22.4.0
  * Update debian/copyright
  * Refresh patch
  * Bump Standards-Version to 4.6.1 (no change)
  * Add missing depends python3-gnupg and python3-paho-mqtt
  * Remove python3-ospd from build-dep (Closes: #1021969)
  * Add missing build-dep python3-defusedxml and python3-lxml
  * Remove copy of license
  * Update minimal required version of openvas-scanner
  * New upstream version 22.4.2

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Jan 2023 10:34:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,16 @@
                dh-python,
 	       pybuild-plugin-pyproject,
                python3-all,
-               python3-ospd (>= 21.4.1),
+	       python3-defusedxml,
+	       python3-gnupg,
+	       python3-lxml,
 	       python3-packaging,
+	       python3-paho-mqtt,
 	       python3-poetry-core,
                python3-psutil,
                python3-redis,
                python3-setuptools
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.greenbone.net/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/ospd-openvas
@@ -22,7 +25,7 @@
 
 Package: ospd-openvas
 Architecture: all
-Depends: openvas-scanner (>= 21.4.1), ${misc:Depends}, ${python3:Depends}, sudo
+Depends: openvas-scanner (>= 22.4.0), ${misc:Depends}, ${python3:Depends}, sudo
 Replaces: python3-ospd (<< 21.4.5)
 Breaks: python3-ospd (<< 21.4.5)
 Provides: python3-ospd

## ospd-openvas 22.5.4

=== debian/changelog ===
ospd-openvas (22.5.4-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 02:13:02 +0200

ospd-openvas (22.5.4-0kali1) kali-experimental; urgency=medium

  * New upstream version 22.5.4
  * Bump Standards-Version to 4.6.2 (no changes)
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 18 Aug 2023 14:26:55 +0200

ospd-openvas (22.5.3-0kali1) kali-experimental; urgency=medium

  * New upstream version 22.5.3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Jul 2023 17:15:37 +0200

ospd-openvas (22.5.1-0kali1) kali-experimental; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes)
  * Update debian/copyright
  * New upstream version 22.5.1

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 21 Jun 2023 15:55:42 +0200

## ospd-openvas 22.6.2

=== debian/changelog ===
ospd-openvas (22.6.2-1ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Sun, 25 Aug 2024 23:24:32 +0100

ospd-openvas (22.6.2-1) unstable; urgency=medium

  * New upstream version 22.6.2
  * Bump Standards-Version to 4.6.2 (no changes)
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 21 Nov 2023 11:11:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ospd-openvas
 Section: admin
 Priority: optional
-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -16,7 +17,7 @@
                python3-psutil,
                python3-redis,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.greenbone.net/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/ospd-openvas
@@ -27,7 +28,7 @@
 Architecture: all
 Depends: openvas-scanner (>= 22.4.0), ${misc:Depends}, ${python3:Depends}, sudo
 Replaces: python3-ospd (<< 21.4.5)
-Breaks: python3-ospd (<< 21.4.5)
+Breaks: python3-ospd (<< 21.4.5), python3-minimal (<< 3.12.3-0ubuntu2~)
 Provides: python3-ospd
 Description: OSP server implementation to allow GVM to remotely control an OpenVAS Scanner
  This package contains an OSP server implementation to allow GVM to remotely

## ospd-openvas 22.7.1

=== debian/changelog ===
ospd-openvas (22.7.1-2) unstable; urgency=medium

  * Move files from / to /usr (Closes: #1073657)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 21 Jun 2024 15:31:22 +0200

ospd-openvas (22.7.1-1) unstable; urgency=medium

  * New upstream version 22.7.1

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Apr 2024 18:13:29 +0200

## ospd-openvas 22.8.2

=== debian/changelog ===
ospd-openvas (22.8.2-1) unstable; urgency=medium

  * New upstream version 22.8.2
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Apr 2025 16:07:07 +0200

ospd-openvas (22.8.1-1) unstable; urgency=medium

  * New upstream version 22.8.1
  * Bump Standards-Version to 4.7.2 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 25 Mar 2025 10:11:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ospd-openvas
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@offensive-security.com>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -17,7 +16,7 @@
                python3-psutil,
                python3-redis,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.greenbone.net/
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/ospd-openvas
@@ -28,7 +27,7 @@
 Architecture: all
 Depends: openvas-scanner (>= 22.4.0), ${misc:Depends}, ${python3:Depends}, sudo
 Replaces: python3-ospd (<< 21.4.5)
-Breaks: python3-ospd (<< 21.4.5), python3-minimal (<< 3.12.3-0ubuntu2~)
+Breaks: python3-ospd (<< 21.4.5)
 Provides: python3-ospd
 Description: OSP server implementation to allow GVM to remotely control an OpenVAS Scanner
  This package contains an OSP server implementation to allow GVM to remotely

## ospd-openvas 22.9.0

=== smoketest/Makefile ===
--- 
+++ 
@@ -1,8 +1,12 @@
+# SPDX-FileCopyrightText: 2023 Greenbone AG
+#
+# SPDX-License-Identifier: AGPL-3.0-or-later
+
 .PHONY: build run
 
 MAKEFILE_PATH := $(dir $(realpath $(firstword $(MAKEFILE_LIST))))
 
-ALTERNATIVE_HOSTS := smoketest.localdomain smoke.localdomain and.localdomain mirrors.localdomain
+ALTERNATIVE_HOSTS := smoketest.localdomain smoke.localdomain and.localdomain mirrors.localdomain addhostname.localdomain
 
 ADD_HOST := $(addprefix --add-host ,$(addsuffix :127.0.0.1, ${ALTERNATIVE_HOSTS}))

=== debian/changelog ===
ospd-openvas (22.9.0-1) unstable; urgency=medium

  * New upstream version 22.9.0
  * Update my email

 -- Sophie Brun <sophie@kali.org>  Thu, 14 Aug 2025 12:10:03 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
 	       pybuild-plugin-pyproject,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=ospd-openvas
+export PYBUILD_SYSTEM=pyproject
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+execute_after_dh_auto_install:
+	rm debian/ospd-openvas/usr/lib/python3*/dist-packages/ospd_openvas-*.dist-info/COPYING

=== debian/tests/control ===
Tests: test
Depends: @, sudo, python3-setuptools
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ospd-openvas-$1.tar.gz%" \
   https://github.com/greenbone/ospd-openvas/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ospd-openvas 22.9.1

=== debian/changelog ===
ospd-openvas (22.9.1-2) unstable; urgency=medium

  * Use default unix_socket /run/ospd/ospd.sock

 -- Sophie Brun <sophie@kali.org>  Fri, 19 Dec 2025 11:14:36 +0100

ospd-openvas (22.9.1-1) unstable; urgency=medium

  * New upstream version 22.9.1

 -- Sophie Brun <sophie@kali.org>  Fri, 05 Dec 2025 11:29:56 +0100

ospd-openvas (22.9.0-2) unstable; urgency=medium

  * Fix debian/rules (Closes: #1117412)
  * Update debian/watch to Version 5

 -- Sophie Brun <sophie@kali.org>  Thu, 06 Nov 2025 09:43:24 +0100

## ospd-openvas 22.10.0

=== debian/changelog ===
ospd-openvas (22.10.0-1) unstable; urgency=medium

  * New upstream version 22.10.0
  * Wrong information in previous entry: Use default unix_socket
    /run/ospd/ospd-openvas.sock

 -- Sophie Brun <sophie@kali.org>  Thu, 08 Jan 2026 11:59:03 +0100

## ospd-openvas 22.10.1

=== debian/changelog ===
ospd-openvas (22.10.1-1) unstable; urgency=medium

  * New upstream version 22.10.1

 -- Sophie Brun <sophie@kali.org>  Thu, 05 Feb 2026 17:46:58 +0100
